Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 423311

Summary: sci-physics/fastjet-3.0.2 with gcc-4.7.1 - .../work/fastjet-3.0.2/plugins/D0RunIICone/ILConeAlgorithm.hpp:340:3: error: 'addItem' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation[...
Product: Gentoo Linux Reporter: Jauhien Piatlicki (RETIRED) <jauhien>
Component: [OLD] GCC PortingAssignee: Gentoo Science Physics related packages <sci-physics>
Status: RESOLVED FIXED    
Severity: normal Keywords: PATCH
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.fastjet.fr/
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 390247    
Attachments: build.log
fastjet-3.0.2-gcc.patch
fastjet-3.0.2.ebuild.patch

Description Jauhien Piatlicki (RETIRED) gentoo-dev 2012-06-24 12:33:24 UTC
Created attachment 316139 [details]
build.log

emerge --info

Portage 2.2.0_alpha110 (default/linux/x86/10.0, gcc-4.7.1, glibc-2.14.1-r3, 3.4.3-gentoo i686)
=================================================================
System uname: Linux-3.4.3-gentoo-i686-Intel-R-_Atom-TM-_CPU_N280_@_1.66GHz-with-gentoo-2.1
Timestamp of tree: Fri, 22 Jun 2012 17:00:01 +0000
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.1.5, 3.2.3
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2, 4.7.1
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo lisp sage-on-gentoo science gentoo-haskell sunrise local-fix
Installed sets: 
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=native -mtune=native -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O3 -march=native -mtune=native -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles metadata-transfer news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="be be_BY en en_GB ru uk"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/layman/lisp /usr/layman/sage-on-gentoo /usr/layman/science /usr/layman/haskell /usr/layman/sunrise /usr/local/portage/fix"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa bash-completion berkdb bzip2 cairo cli cracklib crypt cxx dbus djvu dri emacs encode expat ffmpeg fftw flac fortran gdbm gif gpm gtk iconv icu java javascript jpeg jpeg2k latex libnotify lm_sensors mad mbox mmx mmxext modplug modules mp3 mp4 mudflap ncurses nls nptl nsplugin ogg opengl openmp pam pcre pdf perl png policykit pppd pythia8 python qt3support readline session sndfile sqlite sqlite3 sse sse2 ssl startup-notification system-sqlite tcpd threads tiff truetype udev unicode v4l vorbis x86 xml xmlrpc xorg zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="be be_BY en en_GB ru uk" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.1"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-06-24 12:34:32 UTC
Created attachment 316141 [details, diff]
fastjet-3.0.2-gcc.patch

This patch fixes the problem.
Comment 2 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-06-24 12:36:38 UTC
Created attachment 316143 [details, diff]
fastjet-3.0.2.ebuild.patch
Comment 3 Jauhien Piatlicki (RETIRED) gentoo-dev 2012-06-26 13:39:44 UTC
Upstream says that in new version 3.0.3 this bug is fixed.
Comment 4 S├ębastien Fabbro (RETIRED) gentoo-dev 2012-06-27 18:49:46 UTC
+*fastjet-3.0.3 (27 Jun 2012)
+
+  27 Jun 2012; Sebastien Fabbro <fabbros@gentoo.org> +fastjet-3.0.3.ebuild,
+  -fastjet-3.0.1.ebuild, -fastjet-3.0.2.ebuild:
+  Version bump, fixing bug #423311, thanks Jauhien Piatlicki
+